- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# rax_cbs – Manipulate Rackspace Cloud Block Storage Volumes

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Manipulate Rackspace Cloud Block Storage Volumes

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- pyrax

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key - |  | Rackspace API key, overrides credentials. aliases: password
auth_endpoint - | Default: "https://identity.api.rackspacecloud.com/v2.0/" | The URI of the authentication service.
credentials - |  | File to find the Rackspace credentials in. Ignored if api_key and username are provided. aliases: creds_file
description - |  | Description to give the volume being created
env - |  | Environment as configured in ~/.pyrax.cfg, see https://github.com/rackspace/pyrax/blob/master/docs/getting_started.md#pyrax-configuration.
identity_type - | Default: "rackspace" | Authentication mechanism to use, such as rackspace or keystone.
image - |  | image to use for bootable volumes. Can be an `id`, `human_id` or `name`. This option requires `pyrax>=1.9.3`
meta - |  | A hash of metadata to associate with the volume
name - / required |  | Name to give the volume being created
region - | Default: "DFW" | Region to create an instance in.
size - / required | Default: 100 | Size of the volume to create in Gigabytes
snapshot_id - |  | The id of the snapshot to create the volume from
state - / required | Choices: present ← absent | Indicate desired state of the resource
tenant_id - |  | The tenant ID used for authentication.
tenant_name - |  | The tenant name used for authentication.
username - |  | Rackspace username, overrides credentials.
validate_certs boolean | Choices: no yes | Whether or not to require SSL validation of API endpoints. aliases: verify_ssl
volume_type - / required | Choices: SATA ← SSD | Type of the volume being created
wait boolean | Choices: no ← yes | wait for the volume to be in state 'available' before returning
wait_timeout - | Default: 300 | how long before wait gives up, in seconds

## Notes

Note

- The following environment variables can be used, `RAX_USERNAME`, `RAX_API_KEY`, `RAX_CREDS_FILE`, `RAX_CREDENTIALS`, `RAX_REGION`.
- `RAX_CREDENTIALS` and `RAX_CREDS_FILE` points to a credentials file appropriate for pyrax. See https://github.com/rackspace/pyrax/blob/master/docs/getting_started.md#authenticating
- `RAX_USERNAME` and `RAX_API_KEY` obviate the use of a credentials file
- `RAX_REGION` defines a Rackspace Public Cloud region (DFW, ORD, LON, ...)

## Examples

    - name: Build a Block Storage Volume
      gather_facts: False
      hosts: local
      connection: local
      tasks:
        - name: Storage volume create request
          local_action:
            module: rax_cbs
            credentials: ~/.raxpub
            name: my-volume
            description: My Volume
            volume_type: SSD
            size: 150
            region: DFW
            wait: yes
            state: present
            meta:
              app: my-cool-app
          register: my_volume

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Christopher H. Laco (@claco)
- Matt Martz (@sivel)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.